<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("tit" . "le" => base64_decode("dGl0" . "bGU="), "_5e5ff29e5570db7c92f" . "6a3fb65526022" => base64_decode("PGRpdiBjbGFzcz0iY" . "WxlcnQgYWxlcnQtZG" . "FuZ2VyIiByb2xlPSJ" . "hbGVydCI+"), "_daabcaef5d13ad11434c594d45e1fc" . "0e" => base64_decode("RXJyb3IgbWVzc2F" . "nZQ=="), "_9d563921fc01094b4d118" . "c5bf2187d4b" => base64_decode("Y2xhX" . "2h0bW" . "xzYWZ" . "l"), "_32710812e9f3" . "c730de6579937" . "e571ec3" => base64_decode("PC9ka" . "XY+"), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""));
use Claromentis\Core\Application;
use Claromentis\Core\Component\Exception\ComponentException;






class MessageComponent implements ComponentInterface
{
    protected string $header;
    protected string $body;
    protected ?ComponentInterface $parent;
    public function __construct(string $_c8e54c9b73e8f8de2a97a9c3a1daf1c3, string $_f50e845669e7cd06bbc643eeb57aa01d, ComponentInterface $_bc1b84b0f9f841f8b734489a4a3783ad = null)
    {
        $this->header = $_c8e54c9b73e8f8de2a97a9c3a1daf1c3;
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
        $this->parent = $_bc1b84b0f9f841f8b734489a4a3783ad;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $app)
    {
        $_f50e845669e7cd06bbc643eeb57aa01d = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_9d563921fc01094b4d118" . "c5bf2187d4b"]($this->body);
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5e5ff29e5" . "570db7c92f" . "6a3fb65526" . "022"] . $_f50e845669e7cd06bbc643eeb57aa01d . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_32710812e9" . "f3c730de657" . "9937e571ec3"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $app)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_9d563921fc01094b4d118c5bf2187" . "d4b"]($this->header);
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        if (null !== $this->parent) {
            return $this->parent->GetSizeConstraints();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        if (null !== $this->parent) {
            return $this->parent->GetCssClass();
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4d707fab93bebb00bbe69e81596" . "97c90"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["tit" . "le"] => $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_daabcaef5d13ad11434c594d" . "45e1fc0e"]];
    }
}